{% load static %}


<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>My Tasks</title>
    <link rel="stylesheet" href="{% static 'css/projects.css' %}">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/4.7.0/css/font-awesome.min.css">
</head>

<body>
    <div class="content-wrapper">
        <header>
            <nav>
                <ul class="nav-left">
                    {% if user.is_authenticated %}
                    <li>
                        <a href="{% url 'list_projects' %}">My projects</a>
                    </li>
                    <li>
                        <a href="{% url 'show_my_tasks' %}">My tasks</a>
                    </li>
                    <li>
                        <a href="{% url 'company_list' %}">My companies</a>
                    </li>
                    {% endif %}
                </ul>
                <ul class="nav-right">
                    {% if user.is_authenticated %}
                    <li>
                        <a>🌟 You're Awesome, {{ user.username }}!</a>
                    </li>
                    <li>
                        <a href="{% url 'logout' %}">Logout</a>
                    </li>
                    {% else %}
                    <li>
                        <a href="{% url 'login' %}">Login</a>
                    </li>
                    <li>
                        <a href="{% url 'signup' %}">Sign up</a>
                    </li>
                    {% endif %}
                </ul>
            </nav>
        </header>
        <main>
            <div class="my-tasks-list">
                <h1>My Tasks</h1>
                <p>
                    <a href="{% url 'search_tasks' %}">Search tasks by company</a>
                </p>
                {% if tasks %}
                <table>
                    <thead>
                        <tr>
                            <th scope="col">Name</th>
                            <th scope="col">Start date</th>
                            <th scope="col">Due date</th>
                            <th scope="col">Company</th>
                            <th scope="col">Is completed</th>
                            <th scope="col">Action</th>
                        </tr>
                    </thead>
                    <tbody>
                        {% for task in tasks %}
                        <tr>
                            <td>{{ task.name }}</td>
                            <td>{{ task.start_date }}</td>
                            <td>{{ task.due_date }}</td>
                            <td>{% for company in task.company.all %}
                                {{ company.name }}{% if not forloop.last %}, {% endif %}
                                {% endfor %}
                            </td>
                            <td>{{ task.is_completed|yesno:"yes,no" }}</td>
                            <td>
                                <a href="{% url 'edit_task' task.id %}"><i class="fa fa-pencil"></i></a>
                                <a href="{% url 'delete_task' task.id %}"><i class="fa fa-trash"></i></a>
                            </td>
                        </tr>
                        {% endfor %}
                    </tbody>
                </table>
                {% else %}
                <p>You have no tasks</p>
                {% endif %}
            </div>
        </main>
    </div>
    <footer class="footer">
        <p>Developed by Dongyu Wang (王冬雨). If you find any bugs, they are features:) &copy; 2024 All rights reserved.
        </p>
    </footer>
</body>

</html>
